Bug 1418247 - UI showing active geo-rep session, when the session was already removed from CLI
Summary: UI showing active geo-rep session, when the session was already removed from CLI
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Gluster
Version: 4.1.0
Hardware: x86_64
OS: Linux
high
medium vote
Target Milestone: ovirt-4.1.1
: 4.1.1.3
Assignee: Sahina Bose
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-02-01 11:28 UTC by SATHEESARAN
Modified: 2017-04-21 09:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:39:50 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
sabose: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)
Engine log containing the errors (20.94 KB, text/plain)
2017-02-01 11:29 UTC, SATHEESARAN
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 71873 master MERGED engine: Fix geo-rep sync to handle DR schedules 2017-02-21 06:51:34 UTC
oVirt gerrit 72732 ovirt-engine-4.1 MERGED engine: Fix geo-rep sync to handle DR schedules 2017-02-21 09:59:58 UTC

Description SATHEESARAN 2017-02-01 11:28:31 UTC
Description of problem:
-----------------------
The gluster data domain is set with remote data sync with the slave gluster volume. When the session is deleted from the backend via gluster CLI, the UI still shows up that the session is active.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
oVirt Engine Version: 4.1.0.3-0.0

How reproducible:
-----------------
Always

Steps to Reproduce:
-------------------
1. Create a gluster data domain with gluster volume managed with the same cluster and remote data sync set
2. Delete the geo-rep session from gluster CLI ( from backend )
3. Look for the geo-rep status from RHV UI's volume tab

Actual results:
---------------
Volume tab in RHV UI still shows up the geo-rep session as active

Expected results:
-----------------
Geo-rep session status from RHV UI should get removed, as the geo-rep session was already delete from backend

Comment 1 SATHEESARAN 2017-02-01 11:29:44 UTC
Created attachment 1246612 [details]
Engine log containing the errors

Comment 2 SATHEESARAN 2017-04-05 10:42:16 UTC
Tested with RHV 4.1.1-6

When the estabilished geo-rep session is deleted from the gluster cli, the RHV UI syncs that information after sometime and removes the geo-rep session as shown in the RHV UI


Note You need to log in before you can comment on or make changes to this bug.